package net.limework.gal.utils;

import java.nio.charset.StandardCharsets;
import java.util.UUID;

public class PlayerUUIDUtils {

    // source -> https://www.spigotmc.org/threads/how-uuid-is-generated-for-offline-mode-nicknames.347835/
    public static UUID getCrackedPlayerUUIDByName(String name) {
        return UUID.nameUUIDFromBytes(("OfflinePlayer:" + name).getBytes(StandardCharsets.UTF_8));
    }

}
